package tech.powerjob.work.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 疏浚工程概况表
 *
 * @TableName DREDGING_PROJECT_OVERVIEW
 */
@TableName("GHJG_CHANNEL.DREDGING_PROJECT_OVERVIEW")
@Data
public class DredgingProjectOverview implements Serializable {
    /**
     * 疏浚工程唯一标识
     */
    @TableId("ID")
    private String id;

    /**
     * 工程名称
     */
    @TableField("PRJ_NAME")
    private String ProjectName;

    /**
     * 工程总量，单位：万方
     */
    @TableField("QUANTITIES")
    private String Quantities;

    /**
     * 创建人
     */
    @TableField("CREATE_USER")
    private String createUser;

    /**
     * 创建日期
     */
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 更新人
     */
    @TableField("UPDATE_USER")
    private String updateUser;

    /**
     * 更新日期
     */
    @TableField("UPDATE_TIME")
    private Date updateTime;

    /**
     * 是否删除： 0 为未删除，1为已删除
     */
    @TableField("IS_REMOVE")
    private Long isRemove;

    /**
     * 工程开始时间
     */
    @TableField("PROJECT_START_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:SS")
    private Date projectStartTime;

    /**
     * 工程结束时间
     */
    @TableField("PROJECT_END_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:SS")
    private Date projectEndTime;

    /**
     * 投资数
     */
    @TableField("INVESTMENT")
    private String investment;

    /**
     * 自维护工程总量
     */
    @TableField("QUANTITIES_SELF")
    private String quantitiesSelf;

    /**
     * 年度
     */
    @TableField("YEAR")
    private String year;

    @TableField("PROJECT_ADDR")
    private String projectAddr;

    @TableField("EXE_UNIT")
    private String exeUnit;

    @TableField("PROJECT_STATE")
    private Integer projectState;

    @TableField("IS_SUBMITTED")
    private Integer isSubmitted;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}