package tech.powerjob.work.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

/**
 * 疏浚工程概况船只信息
 *
 * @TableName DREDGING_PROJECT_SHIPS
 */
@Data
@TableName("GHJG_CHANNEL.DREDGING_PROJECT_SHIPS")
public class DredgingProjectShips {

    /**
     * 船舶九位码
     */
    @TableField("MMSI")
    private String mmsi;
    /**
     * 船舶名称
     */
    @TableField("NAME")
    private String Name;
    /**
     * 船舶编号
     */
    @TableField("CODE")
    private String Code;
    /**
     * 1：挖泥船 2：运泥船
     */
    @TableField("TYPE")
    private Long Type;
    /**
     * 船长
     */
    @TableField("CAPTIAN")
    private String Captian;
    /**
     * 固定方量，单位:方
     */
    @TableField("TONNAGE")
    private String Tonnage;
    @TableField("CREATE_TIME")
    private Date createTime;

    @TableField("CREATE_USER")
    private String createUser;

    @TableField("UPDATE_TIME")
    private Date updateTime;
    
    @TableField("UPDATE_USER")
    private String updateUser;
    /**
     * 0:未删除 1:已删除
     */
    @TableField("IS_REMOVE")
    private Long isRemove;
    /**
     * project_overview主表主键
     */
    @TableId("OVERVIEW_ID")
    private String overviewId;

    @TableField("ID")
    private String id;

    @TableField("VIDEO_ID")
    private String videoId;
}
