package tech.powerjob.work.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;
import lombok.Data;

/**
 * 工单表
 *
 * @TableName DREDGING_WORK_ORDER
 */
@Data
@TableName("GHJG_CHANNEL.DREDGING_WORK_ORDER")
public class DredgingWorkOrder {
    @TableField("ID")
    private String WorkCode;
    /**
     * 工单创建时间
     */
    @TableField("WORK_ORDER_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:SS")
    private Date WorkOrderTime;
    /**
     * 挖泥船编号
     */
    @TableField("DREDGE_CODE")
    private String DredgeCode;
    /**
     * 运泥船编号
     */
    @TableField("TRANSPORT_CODE")
    private String TransportCode;
    /**
     * 靠驳挖泥船时间
     */
    @TableField("ARRIVE_WN")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:SS")
    private Date ArriveWn;
    /**
     * 离驳挖泥船时间
     */
    @TableField("LEAVE_WN")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:SS")
    private Date LeaveWn;
    @TableField("STATE")
    private Integer State;

    /**
     * 抛泥区编号
     */
    @TableField("SPOIL_AREA_ID")
    private String SpoilAreaId;
    /**
     * 运量
     */
    @TableField("TONNAGE")
    private String Tonnage;

    @TableField("CREATE_TIME")
    private Date createTime;

    @TableField("CREATE_USER")
    private String createUser;

    @TableField("UPDATE_TIME")
    private Date updateTime;
    @TableField("UPDATE_USER")
    private String updateUser;
    /**
     * 0:未删除
     * 1:删除
     */
    @TableField("IS_REMOVE")
    private Long isRemove;
    /**
     * 工程概况id
     */
    @TableId("PROJECT_OVERVIEW_ID")
    private String projectOverviewId;

    @TableField("DREDGE_NAME")
    private String DredgeName;
    @TableField("TRANSPORT_NAME")
    private String TransportName;
}
