package tech.powerjob.work.scheduleWork;

import java.util.List;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import tech.powerjob.work.entity.DredgingImportRule;
import tech.powerjob.work.service.DredgingService;
import tech.powerjob.work.util.ReturnMsg;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

@Component
@Slf4j
public class DredgingSchedule implements BasicProcessor {

  @Resource
  private DredgingService dredgingService;

  @Override
  public ProcessResult process(TaskContext context) throws Exception {
    List<DredgingImportRule> dredgingImportRules = dredgingService.getAllProjectId();
    if (dredgingImportRules != null && dredgingImportRules.size() > 0) {
      for (DredgingImportRule dredgingImportRule : dredgingImportRules) {
        try {
          dredgingService.importData(dredgingImportRule);
        } catch (Exception e) {
          e.printStackTrace();
          log.error("{}疏浚数据导入失败", e.getMessage());
          return ReturnMsg.returnMsg(false);
        }
      }
    }
    return ReturnMsg.returnMsg(true);
  }
}
